﻿using System;
using EFLib;
using Model;

namespace DataManagers
{
	public static class ChampChanger
	{
        public static Champion ToPoco(this ChampionEntity champion)
        {
            return new Champion(name: champion.Name, champClass: ChampionClass.Unknown, icon: champion.Icon, bio: champion.Bio);
        }

        public static ChampionEntity ToEntity(this Champion champion)
        {
            return new ChampionEntity
            {
                Name = champion.Name,
                Bio = champion.Bio,
                Icon = champion.Icon,
            };
        }
    }
}

